Package org.gradle.play.plugins

## Class PlayPluginConfigurations

- java.lang.Object
- - org.gradle.play.plugins.PlayPluginConfigurations

-     @Incubating
      @Deprecated
      public class PlayPluginConfigurations
      extends java.lang.Object

  Deprecated.
  Conventional locations and names for play plugins.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `COMPILE_CONFIGURATION` | Deprecated.
    `static java.lang.String` | `PLATFORM_CONFIGURATION` | Deprecated.
    `static java.lang.String` | `RUN_CONFIGURATION` | Deprecated.
    `static java.lang.String` | `TEST_COMPILE_CONFIGURATION` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlayPluginConfigurations​(ConfigurationContainer configurations, DependencyHandler dependencyHandler)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration` | `getPlay()` | Deprecated.
    `org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration` | `getPlayPlatform()` | Deprecated.
    `org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration` | `getPlayRun()` | Deprecated.
    `org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration` | `getPlayTest()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PLATFORM_CONFIGURATION

          public static final java.lang.String PLATFORM_CONFIGURATION

      Deprecated.
      See Also:
        Constant Field Values

    - #### COMPILE_CONFIGURATION

          public static final java.lang.String COMPILE_CONFIGURATION

      Deprecated.
      See Also:
        Constant Field Values

    - #### RUN_CONFIGURATION

          public static final java.lang.String RUN_CONFIGURATION

      Deprecated.
      See Also:
        Constant Field Values

    - #### TEST_COMPILE_CONFIGURATION

          public static final java.lang.String TEST_COMPILE_CONFIGURATION

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PlayPluginConfigurations

          public PlayPluginConfigurations​(ConfigurationContainer configurations,
                                          DependencyHandler dependencyHandler)

      Deprecated.

  - ### Method Detail

    - #### getPlayPlatform

          public org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration getPlayPlatform()

      Deprecated.

    - #### getPlay

          public org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration getPlay()

      Deprecated.

    - #### getPlayRun

          public org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration getPlayRun()

      Deprecated.

    - #### getPlayTest

          public org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration getPlayTest()

      Deprecated.